#!/bin/sh
echo 'name: cprng-aes
version: 0.3.4
id: cprng-aes-0.3.4-e3a6b3b5f258b9c23a896cd9880ec8aa

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-cprng-aes
package-url:
synopsis: Crypto Pseudo Random Number Generator using AES in counter mode.
description: Simple crypto pseudo-random-number-generator with really good randomness property.
             .
             Using ent, a randomness property maker on one 1Mb sample:
             Entropy = 7.999837 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 237.02
             Arithmetic mean value of data bytes is 127.3422 (127.5 = random)
             Monte Carlo value for Pi is 3.143589568 (error 0.06 percent)
             .
             Compared to urandom with the same sampling:
             Entropy = 7.999831 bits per byte.
             Optimum compression would reduce the size of this 1048576 byte file by 0 percent.
             Chi square distribution for 1048576 samples is 246.63
             Arithmetic mean value of data bytes is 127.6347 (127.5 = random).
             Monte Carlo value for Pi is 3.132465868 (error 0.29 percent).
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Crypto.Random.AESCtr
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/cprng-aes-0.3.4
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/cprng-aes-0.3.4
              /usr/local/lib
hs-libraries: HScprng-aes-0.3.4
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-f7bdc8987bd5928e0ee6e8cc8b246a88
         bytestring-0.10.0.2-59abd9894532f476aabac207680aae43
         cipher-aes-0.1.8-a7d56752ca80abfddd835205fa9f8e6c
         crypto-api-0.12.1-4342814775a0b030b3819a189bd26ee1
         crypto-random-api-0.2.0-2ff32e4b466d3bb9e42fa96b65bf7a09
         entropy-0.2.1-fd01ef7aa57491ddf2b78b402eefe4c9
         random-1.0.1.1-be5f2d60add646ce67e610b948ebae69
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/cprng-aes-0.3.4/html/cprng-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/cprng-aes-0.3.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
